
Redmine - Patch #7419

changeset.rb does not recognize time entries like @1h30m

2011-01-24 02:55 - Tom Freudenberg

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Description

When using time loggin from repository, there will be only the hour information pushed to time logging. I think, that this happens while

using non greede REGEX. I have changed the order for TIMELOG_RE in source changeset.rb

@@ -97,11 +97,11 @@ class Changeset < ActiveRecord::Base

   TIMELOG_RE = /

     (

-    (\d+([.,]\d+)?)h?

-    |

     (\d+):(\d+)

     |

     ((\d+)(h|hours?))?((\d+)(m|min)?)?

+    |

+    (\d+([.,]\d+)?)h?

     )

     /x

Related issues:

Is duplicate of Redmine - Defect #7630: Spent time in commits not recognized Closed 2011-02-15

History

#1 - 2011-03-23 09:05 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-03-23 09:08 - Toshi MARUYAMA

- Category changed from SCM to Time tracking

#3 - 2011-03-23 09:09 - Toshi MARUYAMA

- Status changed from New to Closed

Duplicate with #7630.
